---
title: "Create AI content"
url: https://docs.gleap.ai/en/reference/rest-api/post-aicontent
method: POST
path: "/aicontent"
api: "API Reference"
tag: "AI content"
operationId: "Create"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Create AI content

`POST https://api.gleap.io/v3/aicontent`

Create an AI content entry. If an entry with the same contentId already exists in the project it is updated instead.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

- `title` (string, required)
- `content` (any, required)
- `contentId` (string, required)
- `batchId` (string)
- `type` (string, required)
- `readMoreUrl` (string)
- `readMoreLabel` (string)

## Example request

```bash
curl --request POST \
  --url https://api.gleap.io/v3/aicontent \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{
  "title": "<title>",
  "content": null,
  "contentId": "<contentId>",
  "type": "<type>"
}'
```

## Responses

### 200 (`application/json`)

Ok
